<?php

if (empty($_POST['submit'])) {
    echo '<div class="post"><form action="?func=file.new';
    if (isset($_GET['elid'])) {
        echo '&amp;elid=' . urlencode($_GET['elid']);
    }
    if (isset($_GET['plid'])) {
        echo '&amp;plid=' . urlencode($_GET['plid']);
    }
    echo '" method="post">' . "\n";

    echo 'Тип:<br />' . "\n";
    echo '<select name="filetype">' . "\n";
    echo '<option value="0">Файл</option>' . "\n";
    echo '<option value="1">Папка</option>' . "\n";
    echo '<option value="2">Ссылка*</option>' . "\n";
    echo '<option value="zip">Zip архив</option>' . "\n";
    echo '<option value="tar">Tar архив</option>' . "\n";
    echo '</select><br />' . "\n";
    echo 'Имя:<br />' . "\n";
    echo '<input name="name" /><br />' . "\n";
    echo 'Ссылается на:*<br />' . "\n";
    echo '<input name="dest" /><br />' . "\n";
    echo '<input name="submit" type="submit" value="Создать" />' . "\n";
    echo '</form>' . "\n";
    echo '</div>' . "\n";
    echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=file';
    if (isset($_GET['elid'])) {
        echo '&amp;elid=' . urlencode($_GET['elid']);
    }
    if (isset($_GET['plid'])) {
        echo '&amp;plid=' . urlencode($_GET['plid']);
    }
    echo '">Вернуться</a><br />' . "\n";
    echo '<img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";
} else {
    if (isset($_GET['plid']) and isset($_GET['elid'])) {
        $plid = $_GET['plid'] . '/' . $_GET['elid'];
    } elseif (isset($_GET['elid'])) {
        $plid = $_GET['elid'];
    } else {
        $plid = '';
    }

    $content = api_query('https://' . $server . '/manager/ispmgr?func=file.new&filetype=' . urlencode($_POST['filetype']) . '&name=' . urlencode($_POST['name']) . '&dest=' . urlencode($_POST['dest']) . '&plid=' . urlencode($plid) . '&sok=ok&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
    $parse_xml = simplexml_load_string($content);
    if (isset($parse_xml->ok)) {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Объект успешно создан!<br />' . "\n";
        echo '<a href="?func=file';
        if (isset($_GET['plid'])) {
            echo '&amp;plid=' . urlencode($_GET['plid']);
        }
        if (isset($_GET['elid'])) {
            echo '&amp;elid=' . urlencode($_GET['elid']);
        }
        echo '">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    } else {
        echo '<div class="post"><div style="text-align:center">' . "\n";
        echo 'Ошибка при создании объекта!<br />' . "\n";
        echo '<a href="?func=file';
        if (isset($_GET['plid'])) {
            echo '&amp;plid=' . urlencode($_GET['plid']);
        }
        if (isset($_GET['elid'])) {
            echo '&amp;elid=' . urlencode($_GET['elid']);
        }
        echo '">Продолжить&#187;</a>' . "\n";
        echo '</div></div>' . "\n";
    }
}

?>